attribute vec4 a_position;
attribute vec2 a_texCoord;
attribute vec4 a_color;

#ifdef GL_ES
varying lowp vec4 v_fragmentColor;
varying mediump vec2 v_texCoord;
varying mediump vec2 v_texCoordRefraction;
#else
varying vec4 v_fragmentColor;
varying vec2 v_texCoord;
varying vec2 v_texCoordRefraction;
#endif

uniform float u_random;

void main()
{
    gl_Position = CC_PMatrix * a_position;
    v_fragmentColor = a_color;
    v_texCoord = a_texCoord;
    //v_texCoordRefraction = a_texCoord + vec2(sin(CC_SinTime.a + gl_Position.x), CC_CosTime.a) * 0.125;
    v_texCoordRefraction = a_texCoord + vec2(sin(CC_SinTime.a + u_random), CC_CosTime.a) * 0.125;
}