#ifdef GL_ES
precision lowp float;
#endif

varying vec4 v_fragmentColor;
varying vec2 v_texCoord;
uniform float u_threshold;

void main()
{
    gl_FragColor = texture2D(CC_Texture0, v_texCoord);
    float grayscale = dot(gl_FragColor.rgb, vec3(0.299, 0.587, 0.114));
    float mult = ceil(grayscale - u_threshold);
    
    gl_FragColor = vec4(gl_FragColor.rgb * mult, mult) * v_fragmentColor;
}