attribute vec4 a_position;
attribute vec2 a_texCoord;
attribute vec4 a_color;

#ifdef GL_ES
varying lowp vec4 v_fragmentColor;
varying mediump vec2 v_texCoord;
varying mediump vec2 v_radial_uv;
#else
varying vec4 v_fragmentColor;
varying vec2 v_texCoord;
varying vec2 v_radial_uv;
#endif

void main()
{
    gl_Position = CC_PMatrix * a_position;
    v_fragmentColor = a_color;
    v_texCoord = a_texCoord;
    vec4 signedGLPosition = sign(gl_Position);
    v_radial_uv = (vec2(signedGLPosition.x, signedGLPosition.y) + vec2(1.0)) / vec2(2.0);
}